#!/bin/bash

##
## Execute proper command to delete an init script
##
UnInstallInitScript()
{
    INIT_SCRIPT_NAME="${1}"
    if [ -e /etc/init.d/${INIT_SCRIPT_NAME} ];
    then
    	/etc/init.d/${INIT_SCRIPT_NAME} stop
    	if [ -x /usr/lib/lsb/remove_initd ]; then
        	 /usr/lib/lsb/remove_initd /etc/init.d/${INIT_SCRIPT_NAME} >/dev/null 2>&1
    	elif [ -x /sbin/chkconfig ]; then
        	/sbin/chkconfig --del ${INIT_SCRIPT_NAME}
    	fi
    else
	/usr/bin/systemctl stop ${INIT_SCRIPT_NAME}
	/usr/bin/systemctl disable ${INIT_SCRIPT_NAME}
	/usr/bin/systemctl daemon-reload
	#semodule -r ismpol	
    fi
    return 0
}

UnInstallInitScript  dcismeng 

